Token

Obtain an OAuth 2.0 access token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

After first call to Token, proceed to Credentials List endpoint. Use access_token to authorise against the rest of the flow. After second call to Token, proceed to Sign Hash. For Sign Hash, use the access_token from the first Token call to authorise (include the token in the header), and use the second access_token retrieved from the second call to Token to supply SAD (a special token with limited lifetime which authorises the signing of the payload itself).

Body Params
string
required
Defaults to authorization_code

The grant type, which depends on the type of OAuth 2.0 flow. Must be set to “authorization_code”

string
required
Defaults to $authorization_code

The authorization code returned by oauth2/authorize query parameter during redirect. It SHALL be bound to the client identifier and the redirection URI.

string
required
Defaults to $client_id

The unique client ID previously assigned to the client by the remote service (ZealiD).

string
required
Defaults to $client_secret

This is the client secret previously assigned to the client by the remote service (ZealiD).

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json